<?php
declare(strict_types = 1);
namespace app\cms\controller;
use app\common\hook\NodeFormat;
use think\facade\Event;

class Goodpart extends Base
{
    protected $conf;
    protected function initialize()
    {
        parent::initialize();
        $this->BaseModel('Goodpart','model','cms');
        $this->list_base['base_part'] = 'cms:goodpart';
        $this->GetConf();
    }

    protected function ReadCallback($data){
        if(empty($data) || $data['status'] != '1'){
             ResClient('内容不存在','0','',GetEruUrl('home/Index/index'));
        }
        return $data;
    }

    protected function GetListDbCallback($data){
        $data = NodeFormat::toList($data);
        return $data;
    }
    protected function GetConf(){
        $res = Event::trigger('Mod',['type' => 'GetMod','data' => ['mod' => 'goodpart','model' => 'cms']]);
        if($res['0']['code'] != '1'){
            ResClient($res['0']['msg'],'0');
        }
        $this->conf = $res['0']['data'];
        switch ($this->conf['pages']){
            case '1':
                $this->list_base['page'] = false;
                break;
            case '2':
                $this->list_base['page'] = false;
                $this->list_base['fold'] = true;
                break;
        }
    }

}